InstalandoFlash9

Differences between revisions 7 and 8
Revision 7 as of 2007-04-11 17:25:31
Size: 7638
Editor: arlei
Comment:
Revision 8 as of 2007-05-26 21:01:20
Size: 10029
Comment:
Deletions are marked like this. Additions are marked like this.
Line 2: Line 2:

Line 140: Line 142:

= Solução de Problemas =

 * Kubuntu 6.06 LTS (Dapper Drake), 5.10 (Hoary Hedgehog)''' '''
  * Instale o pacote flashplugin-nonfree''' '''
  * Nota para usuários Kubuntu:'' Konqueror não''' auto-detecta Flash. Há alguns passos para fazer: '''''
  * Na barra de menu do konqueror, clique "Settings" (ao lado de Help) > "Configure Konqueror"
  * Scroll down the side to plugins
  * Clique "Scan for new plugins"
  * Flash agora deve funcionar com konqueror.

 * Flash para AMD64 e PPC''' '''
 . Por enquanto, não há uma implementação não-free disponível para processadores 64-bit (ou Mac) porque o produtor não os suporta.

 * Flash Troubleshooting''' '''
  * Se Flash não carregar com Firefox/Konqueror após fazer conforme descrito acima, você pode fazer novamente o pluging from scratch por fazer o seguinte:
 . {{{
sudo update-flashplugin
}}}

 * Som''' '''
  . Sintomas:
   * Vídeos em flash param de tocar após 1 segundo.
   * O Firefox congela quando para outra página após tentar ver um vídeo flash.
   * O processo do firefox não termina corretamente após a tentativa de visualizar um vídeo em flash.
  . Soluções possíveis:
   . Se o som não estiver funcionando apropriadamente após você ter instalado o flash e a sua utilização ocasionou os sintomas citados acima, tente alguma das soluções:
    * Instale o pacote alsa-oss''' '''

    * Edite o script de rc do firefox (script de inicialização)
    {{{
sudo nano /etc/firefox/firefoxrc
}}}

    * Adicione/Altere a linha
    {{{
FIREFOX_DSP="aoss"
}}}

    * Reinicie o firefox e tente novamente.
   . Se a solução acima não funcionar, tente a seguinte opção:
    * Edite o script de rc do firefox (script de inicialização)
    {{{
sudo nano ~/.mozilla/firefox/rc
}}}
    * Adicione a linha
    {{{
 FIREFOX_DSP="none"
}}}
   . Se as soluções acima não funcionarem, tente ainda:
    . {{{
sudo ln -s /usr/lib/libesd.so.0 /usr/lib/libesd.so.1
}}}

 * Video''' '''
  . Se você usa uma placa de video Intel 855GM''' certifique-se de que o servidor X tem a profundidade de cores (colout depth) configurado para 24bits, caso contrário, você terá problemas com o firefox. '''

 * Fonts''' '''
  . Caso você veja um vídeo em flash e você não veja nenhum texto, instale o pacote gsfonts''' e '''gsfonts-x11'''. '''

Flash 9

attachment:Icones/importante.png Tutorial válido apenas para Ubuntu Dapper Drake e Edgy Eft!

É possível instalar a nova versão do Flash (versão 9) através do [http://wiki.ubuntubrasil.org/AptGet APT] ([http://pt.wikipedia.org/wiki/Apt-get apt-get] ou [http://pt.wikipedia.org/wiki/Synaptic synaptic]) adicionando um novo [http://pt.wikipedia.org/wiki/Reposit%C3%B3rio repositório] ao seu sources.list.

ATENÇÃO: Este [http://pt.wikipedia.org/wiki/Reposit%C3%B3rio repositório] possui também as versões mais novas do aMule, aMSN etc. Portanto após habilitar este [http://pt.wikipedia.org/wiki/Reposit%C3%B3rio repositório] o Gerenciador de Atualizações irá propor a atualização desses programas. Caso você não as queira fazer tranque a versão através do [http://pt.wikipedia.org/wiki/Synaptic synaptic]. Do mesmo modo se tiver o flash instalado será proposta a atualização. Pode fazê-la tranqüilamente.

Instalando no Ubuntu Edgy Efty 6.10

Primeiro você tem que editar o /etc/apt/sources.list para incluir o novo [http://pt.wikipedia.org/wiki/Reposit%C3%B3rio repositório] necessário.

attachment:Icones/terminal.png No Terminal execute o seguinte comando:

sudo gedit /etc/apt/sources.list

NOTA: Você pode utilizar o editor de texto de sua preferência, simplesmente trocando o comando gedit pelo comando desejado.

No final do arquivo aberto pelo editor de texto adicione as linhas abaixo e salve o mesmo.

## Repositório com últimas versões do Flash, aMule, aMSN entre outros
deb http://download.tuxfamily.org/3v1deb edgy 3v1n0
deb-src http://download.tuxfamily.org/3v1deb edgy 3v1n0

attachment:Icones/terminal.png Novamente no terminal execute o comando abaixo para obter a assinatura deste [http://pt.wikipedia.org/wiki/Reposit%C3%B3rio repositório].

sudo wget http://3v1n0.tuxfamily.org/EDD1E155.gpg -O- | sudo apt-key add -

Ainda no terminal, atualize a lista de pacotes disponíveis nos [http://pt.wikipedia.org/wiki/Reposit%C3%B3rio repositórios] executando o comando a seguir.

sudo apt-get update

Para arquitetura 64 bits

Este procedimento agora descrito se destina a usuários que possuem a versão 64 bits do sistema. Primeiro você tem que editar o /etc/apt/sources.list para incluir o novo [http://pt.wikipedia.org/wiki/Reposit%C3%B3rio repositório] necessário.

attachment:Icones/terminal.png No Terminal execute o seguinte comando:

sudo gedit /etc/apt/sources.list

NOTA: Você pode utilizar o editor de texto de sua preferência, simplesmente trocando o comando gedit pelo comando desejado.

No final do arquivo aberto pelo editor de texto adicione as linhas abaixo e salve o mesmo.

## Repositório com últimas versões do Flash, aMule, aMSN entre outros
deb http://janvitus.cabspace.com/ubuntu/ edgy-janvitus main-amd64

attachment:Icones/terminal.png Novamente no terminal execute o comando abaixo para obter a assinatura deste [http://pt.wikipedia.org/wiki/Reposit%C3%B3rio repositório].

wget http://janvitus.cabspace.com/ubuntu/2C4C84CC.gpg -O- | sudo apt-key add -

Ainda no terminal, atualize a lista de pacotes disponíveis nos [http://pt.wikipedia.org/wiki/Reposit%C3%B3rio repositórios] executando o comando a seguir.

sudo apt-get update

Instalando o pacote nspluginwrapper

Para fazer o Plugin do Flash 9 funcionar será necessário instalar o pacote [http://freshmeat.net/projects/nspluginwrapper/ nspluginwrapper] conforme abaixo veremos.

attachment:Icones/terminal.png No Terminal execute o seguinte comando:

sudo aptitude install nspluginwrapper

Agora em seu navegador favorito, diretamente do site da Macromedia neste endereço [http://www.adobe.com/shockwave/download/download.cgi?P1_Prod_Version=ShockwaveFlash aqui], baixe o arquivo do Plugin Flash 9 compactado em formato tar.gz e salvando o mesmo em um diretório qualquer.

attachment:Icones/terminal.png Novamente no Terminal, supondo que tenha salvo o arquivo em seu diretório pessoal, execute os comandos abaixo linha após linha para descompactar (extrair) seu conteúdo e acessar o diretório que será criado neste processo.

cd ~
tar -zxvf install_flash_player_9_linux.tar.gz
cd install_flash_player_9_linux/

NOTA: Caso você tenha salvo o arquivo obtido do site da Macromedia em outro local que não seu diretório pessoal, substitua o comando cd ~ pelo caminho apropriado.

attachment:Icones/terminal.png Ainda no Terminal, copie o Plugin do Flash para o diretório de Plugins do Mozilla a partir do comando abaixo.

sudo cp libflashplayer.so /usr/lib/mozilla/plugins/libflashplayer.so

Agora aplique o patch com o [http://freshmeat.net/projects/nspluginwrapper/ nspluginwrapper] obtido anteriormente dos repositórios executando o seguinte comando.

/usr/lib/nspluginwrapper/x86_64/linux/npconfig -i /usr/lib/mozilla/plugins/libflashplayer.so

Concluído todo este processo, inicialize ou reinicialize o Firefox para fazer os devidos testes com páginas web contendo conteúdo em Flash.

No Dapper Drake 6.06

Primeiro você tem que editar o /etc/apt/sources.list para incluir o novo [http://pt.wikipedia.org/wiki/Reposit%C3%B3rio repositório] necessário.

attachment:Icones/terminal.png No Terminal execute o seguinte comando:

sudo gedit /etc/apt/sources.list

NOTA: Você pode utilizar o editor de texto de sua preferência, simplesmente trocando o comando gedit pelo comando desejado.

No final do arquivo aberto pelo editor de texto adicione as linhas abaixo e salve o mesmo.

## Habilitando repositórios Universe e Multiverse
deb http://br.archive.ubuntu.com/ubuntu/ dapper-backports main restricted universe multiverse
deb-src http://br.archive.ubuntu.com/ubuntu/ dapper-backports main restricted universe multiverse

attachment:Icones/terminal.png Ainda no terminal, atualize a lista de pacotes disponíveis nos [http://pt.wikipedia.org/wiki/Reposit%C3%B3rio repositórios] executando o comando a seguir.

sudo apt-get update

No Terminal execute o comando abaixo para instalar os pacotes flash-plugin e o flash-player.

sudo aptitude install flashplugin-nonfree flashplayer-nonfree

attachment:Icones/informacao.png Durante esta instalação será solicitado que você aceite a licença de utilização dos programas. Os pacotes desse repositório fazem isso pela interface gráfica, ou seja fora do terminal, o que facilita a instalação pelo [http://pt.wikipedia.org/wiki/Synaptic synaptic].

Pronto você está com o flash plugin instalado (que trabalha no seu navegador) e o flash-player (ou standalone, que abre arquivos do tipo .swf). Agora basta fazer os devidos testes.

Solução de Problemas

  • Kubuntu 6.06 LTS (Dapper Drake), 5.10 (Hoary Hedgehog)

    • Instale o pacote flashplugin-nonfree

    • Nota para usuários Kubuntu: Konqueror não auto-detecta Flash. Há alguns passos para fazer:

    • Na barra de menu do konqueror, clique "Settings" (ao lado de Help) > "Configure Konqueror"

    • Scroll down the side to plugins
    • Clique "Scan for new plugins"
    • Flash agora deve funcionar com konqueror.
  • Flash para AMD64 e PPC

  • Por enquanto, não há uma implementação não-free disponível para processadores 64-bit (ou Mac) porque o produtor não os suporta.
  • Flash Troubleshooting

    • Se Flash não carregar com Firefox/Konqueror após fazer conforme descrito acima, você pode fazer novamente o pluging from scratch por fazer o seguinte:
  • sudo update-flashplugin 
  • Som

    • Sintomas:
      • Vídeos em flash param de tocar após 1 segundo.
      • O Firefox congela quando para outra página após tentar ver um vídeo flash.
      • O processo do firefox não termina corretamente após a tentativa de visualizar um vídeo em flash.
    • Soluções possíveis:
      • Se o som não estiver funcionando apropriadamente após você ter instalado o flash e a sua utilização ocasionou os sintomas citados acima, tente alguma das soluções:
        • Instale o pacote alsa-oss

        • Edite o script de rc do firefox (script de inicialização)
          sudo nano /etc/firefox/firefoxrc 
        • Adicione/Altere a linha
          FIREFOX_DSP="aoss" 
        • Reinicie o firefox e tente novamente.
      • Se a solução acima não funcionar, tente a seguinte opção:
        • Edite o script de rc do firefox (script de inicialização)
          sudo nano ~/.mozilla/firefox/rc 
        • Adicione a linha
           FIREFOX_DSP="none" 
      • Se as soluções acima não funcionarem, tente ainda:
        • sudo ln -s /usr/lib/libesd.so.0 /usr/lib/libesd.so.1 
  • Video

    • Se você usa uma placa de video Intel 855GM certifique-se de que o servidor X tem a profundidade de cores (colout depth) configurado para 24bits, caso contrário, você terá problemas com o firefox.

  • Fonts

    • Caso você veja um vídeo em flash e você não veja nenhum texto, instale o pacote gsfonts e gsfonts-x11.

Créditos

Autor: [http://ubuntu.linuxval.org/smf/index.php?action=profile;u=3394 inc3rt c0in]

Data: 05/12/2006

Local: [http://ubuntu.linuxval.org/smf/index.php?topic=13903.0 Fórum Ubuntu-BR]

Wikifier: JoseVitor e RafaelSfair

Data: 11/12/2006

Mantenedores: JoseVitor e RafaelSfair

[http://wiki.ubuntubrasil.org/TimeDeDocumentacao Time de Documentação do Ubuntu Brasil]

InstalandoFlash9 (last edited 2011-09-19 23:19:46 by localhost)